/*
 * Copyright 2009 ETH Zuerich, CISD
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ch.systemsx.cisd.common.exceptions;

import ch.systemsx.cisd.common.exceptions.HighLevelException;

/**
 * Exception to be thrown when authentication of a service at another service fails.
 *
 * @author Franz-Josef Elmer
 */
public class InvalidAuthenticationException extends HighLevelException
{
    private static final long serialVersionUID = 1L;

    public InvalidAuthenticationException(String message)
    {
        super(message);
    }

    public InvalidAuthenticationException(String message, Throwable cause)
    {
        super(message, cause);
    }

}
